Mailinglist Archive: opensuse-buildservice (63 mails)

< Previous Next >
[opensuse-buildservice] Cross-architecture BuildRequires dependency
I'm trying to build a newer version of GCC for older versions of RHEL
through OBS (so that we can ship our C++11 software). The SCL versions
mostly work, with a bit of editing of the specfile, but the problem I'm
left with is that the x86_64 build requires both 32- and 64-bit versions
of libc.

I've added a BuildRequires for "glibc(x86-32) glibc(x86-64)
glibc-devel(x86-32) glibc-devel(x86-64)", as the SCL spec file has
file-based dependencies, but these cannot be resolved by OBS.

Is there a way to add a cross-architecture requirement?

If not, I will try and find out how to build 64-bit-only GCC.

Thanks,

David Adam
zanchey@xxxxxxxxxxxxxxxxx
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
List Navigation
This Thread
  • No further messages